Grasshopper

algorithmic modeling for Rhino

Hi guyz,

is there anyone who knows how to join two curves that have already one mutual point (simple enough, huh?)? 

I would suppose, that there is some command like curve.join(secondcurve)

or RhUtil.RhinoJoin(curve, secondcurve)...

Please let me know ;)

Views: 1578

Replies to This Discussion

Rhino.Geometry.Curve.JoinCurves(AllYourCurvesAsArray, Tolerance, TellIfYouWantToPreserveDirection)

thanks a lot ;)

I have just realized, that is not that clear yet - where is the result stored? 

You just have to set the result to an array or an existing list.

Dim MyJoinedCurves as New List (of Rhino.geometry.curve)

MyJoinedCurves = Rhino.Geometry.Curve.JoinCurves(AllYourCurvesAsArray, Tolerance, TellIfYouWantToPreserveDirection).tolist

ok, I've been trying to set the result to a curve variable... again thanks

still not working :(

You are adding a list to a list, so you have to use addrange, and not add line 135.

but the problem seems to be on the line 134 - it says that "tolist" is not a member of System.Array.

Ah, so use

MyJoinedCurves.addrange(Rhino.Geometry.Curve.JoinCurves(AllYourCurvesAsArray, Tolerance, TellIfYouWantToPreserveDirection))

so it worked ;) thx

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service